<?php

session_start();
$_SESSION['role']='user';
$_SESSION['user']='bob_brown';
$_SESSION['theme']='dark';


//chargement config
require_once __DIR__ . '/config/config.php';

require __DIR__ . '/vendor/autoload.php';

$co = new \Gateway\Connection("pgsql:host=localhost;dbname={$base};", $login, $mdp);

//twig
$loader = new \Twig\Loader\FilesystemLoader('vue/templates');
$twig   = new \Twig\Environment($loader, [
    'cache' => false,
]);

$twig->addGlobal('racine','/~kemondejar/WF-Website');

$cont = new Controleur\FrontControler($co);


?>
