<?php
namespace Controleur;
use Model\CommentaryModel;
use Gateway\CommentaryGateway;
use Model\UserModel;
use Gateway\UserGateway;


Class UserControler{

    private CommentaryModel $cMod;
    private UserModel $uMod;

    public function __construct(){
        global $co;
        $this->cMod = new CommentaryModel(new CommentaryGateway($co));
        $this->uMod = new UserModel(new UserGateway($co));
    }

    public function quiz(){
        global $vues;
        require_once $vues['quiz'];
    }

    public function addComment(){
        $id = $_POST['idQuote'];
        $this->cMod->createComment($_POST['content'],$_POST['idQuote'],$this->uMod->getIdByUsername($_SESSION['user']));
        header("Location: /~kemondejar/WF-Website/quote/$id");
    }

    public function favorits() {
        global $vues;
        $user = $_SESSION['username'];
        $idUser = $this->userGateway->getIdUser($user);

        $suggestions = $this->favoritsGateway->getFavorits(0, 'fr'); 
        require_once $vues['favorits'];
    }
}
