<?php
global $twig;

// Rendu de l'en-tête
echo $twig->render('head.html.twig', [
    'title' => "Accueil",
    'style' => "public/styles/styleAccueil.css",
]);

// Rendu du bandeau
echo $twig->render('bandeau.html.twig');

echo "<h2>Favorits</h2>";
echo "<div class='suggestions-container'>";
foreach ($suggestions as $suggestion) {
    echo $twig->render('favorits.html.twig', [
        'quote' => $suggestion['content'],
        'movie' => $suggestion['title'],
        'character' => $suggestion['caracter'],
        'year' => $suggestion['dates'],
        'imagePath' => $suggestion['imgpath']
    ]);
}
echo "</div>";
?>